Bug Hunting Session
Bug 36558 - Allow custom paths for user dictionaries
Summary: Allow custom paths for user dictionaries
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-24 20:12 UTC by Jon Grossart
Modified: 2013-10-04 17:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Grossart 2011-04-24 20:12:05 UTC
It would be helpful to be able to give a custom path to user dictionaries like it can be for templates and the such.  This would "allow for out of user directory" custom word lists as well as the potential for a shared dictionary between users/computers.

It would also be helpful to be able to select existing dictionaries rather than just create a new one. In the Tools > Options > Language Settings > Writing Aids section as well.
Comment 1 Björn Michaelsen 2011-12-23 12:01:28 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Jon Grossart 2012-01-02 18:02:43 UTC
This feature request is still needed as of 3.5.0 beta 2.  I downloaded the debs and tried them in Ubuntu 11.10.
Comment 3 Jon Grossart 2012-01-02 18:04:37 UTC
I moved the bug back to new, if that was wrong, please set the status accordingly.
Comment 4 Urmas 2012-07-10 07:17:10 UTC
I vote for this too.
Comment 5 Regina Henschel 2012-07-22 19:59:37 UTC
*** Bug 52336 has been marked as a duplicate of this bug. ***
Comment 6 Urmas 2012-08-01 07:49:24 UTC
Guess what? OO.o had it as it should be, until some faggot hadn't broken it in 2.0.4.
Comment 7 Jon Grossart 2012-08-13 22:23:34 UTC
(In reply to comment #6)
> Guess what? OO.o had it as it should be, until some faggot hadn't broken it in
> 2.0.4.

Really, is this kind of language needed?
Comment 8 bfoman (inactive) 2013-07-30 19:18:29 UTC
See comment https://issues.apache.org/ooo/show_bug.cgi?id=80286&mark=16#c16.
Comment 9 Jon Grossart 2013-07-30 19:34:55 UTC
I disagree with some of those reasons. If I'm creating a user dictionary, shouldn't I be able to select where it is stored and read from?

I can do the exact same thing with templates. Which is exactly the same sort of issue.

And for the comment on the Apache issue about ability to be edited, shouldn't that be decided by the file permissions per se, and not an arbitrary decision by the software?
Comment 10 Commit Notification 2013-08-08 05:28:38 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aecd2510e53ea6457dd4f4fa032d82b7dd6178ef

fdo#36558 Allow custom paths for user dictionaries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Andras Timar 2013-08-08 05:46:48 UTC
It's been always possible to set this property, although not from the GUI. But you can always edit registrymodifications.xcu. E.g. I set my dictionary path to my home directory in the example below.

<item oor:path="/org.openoffice.Office.Paths/Paths/org.openoffice.Office.Paths:NamedPath['Dictionary']"><prop oor:name="UserPaths" oor:op="fuse"><value></value></prop></item>
<item oor:path="/org.openoffice.Office.Paths/Paths/org.openoffice.Office.Paths:NamedPath['Dictionary']"><prop oor:name="WritePath" oor:op="fuse"><value>$(home)</value></prop></item>

Now you can set it up from GUI, too.
Comment 12 Commit Notification 2013-08-08 12:09:42 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01ad0524859ae9566fc063179c80fc6a67f7bb0c&h=libreoffice-4-1

fdo#36558 Allow custom paths for user dictionaries


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Jon Grossart 2013-10-04 17:41:59 UTC
Thank you kindly, I found a bug with it, so I'll make a new one for that.